Skip to main content
GET
List time entries

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.

Query Parameters

dateFrom
string

Earliest date worked, inclusive (YYYY-MM-DD). Defaults to 30 days before dateTo

dateTo
string

Latest date worked, inclusive (YYYY-MM-DD). Defaults to today

technician
string

Technician name contains (case-insensitive)

workType
string

Work type contains (case-insensitive)

billing
enum<string>
Available options:
billable,
non_billable,
unknown
psa
enum<string>
Available options:
connectwise,
halo,
autotask
entryKind
enum<string>[]

Entry kinds, repeated or comma-separated (default ticket). internal and time_off are Autotask only and need the read_staff_time permission

Available options:
ticket,
internal,
time_off
companyId
string<uuid>[]

Limit to one or more companies (repeat the key or comma-separate)

Maximum array length: 100
page
integer

Page number (default 1). Only the first 100,000 matching entries can be paged

Required range: 1 <= x <= 100001
limit
integer

Entries per page (default 50)

Required range: 1 <= x <= 200

Response

Time entries

data
object
required